<simple-notifications [options]="notificationService.options"></simple-notifications>
<app-card [title]="'Required Skills'"[blockClass]="'tab-icon'">
  <div class="row">
    <div class="col-lg-12">
      <div class="p-20 z-depth-top-0 waves-effect" placement="bottom">
        <form #f="ngForm" novalidate (ngSubmit)="addRequiredSkill(f.valid, f);" name="form">
          <div class="row">
            <mat-form-field class="col-md-4">
              <mat-select placeholder="Skill" name="skillsList" [(ngModel)]="selectedSkill" required [disabled]="disableEdit">
                <mat-option *ngFor="let s of skillsList" [value]="s">
                  {{s.Description}}
                </mat-option>
              </mat-select>
            </mat-form-field>
          
            <mat-form-field class="col-md-4">
              <mat-select placeholder="Career Level" name="experienceLevelsList" [(ngModel)]="selectedExperienceLevel" required [disabled]="disableEdit">
                <mat-option *ngFor="let l of experienceLevelsList" [value]="l">
                  {{l.Description}}
                </mat-option>
              </mat-select>
            </mat-form-field>
          
            <mat-form-field class="col-md-3">
              <input placeholder="Number" matInput name="requiredNumber" [(ngModel)]="requiredNumber" type="number" required [disabled]="disableEdit"
                (input)="onRequiredNumberChange($event.target.value)" min="1">
            </mat-form-field>
          </div>
          <div class="row">
            <mat-form-field class="col-sm-4">
              <input matInput
                [matDatepicker]="PickerSkillStartDay"
                placeholder="Start Date" [(ngModel)]="startDate" name="startDate" (dateChange)="selectDateEvent('start', $event)" [disabled]="disableEdit"/>
              <mat-datepicker-toggle matSuffix [for]="PickerSkillStartDay">
              </mat-datepicker-toggle>
              <mat-datepicker #PickerSkillStartDay
                  [touchUi]="touch"
                  [startView]="'month'">
              </mat-datepicker>
            </mat-form-field>
          
            <mat-form-field class="col-sm-4">
              <input matInput
                [matDatepicker]="PickerSkillEndDay"
                placeholder="End Date" [(ngModel)]="endDate" name="endDate" (dateChange)="selectDateEvent('end', $event)" [disabled]="disableEdit"/>
              <mat-datepicker-toggle matSuffix [for]="PickerSkillEndDay">
              </mat-datepicker-toggle>
              <mat-datepicker #PickerSkillEndDay
                [touchUi]="touch"
                [startView]="'month'">
              </mat-datepicker>
            </mat-form-field>
          </div>
          <div class="row">
            <div class="col-lg-12">
              <div class="row f-right">
                <div class="col-lg-12" >
                  <button type="submit" class="btn btn-primary ripple light btn-md" [disabled]="disableEdit || !f.valid">Add</button>
                </div>
              </div>
            </div>
          </div>
        </form>
      </div>
    </div>
  </div>
  <div class="row" style="margin-top:25px">
    <div class="col-lg-12">
      <div class="p-20 z-depth-bottom-5 waves-effect" placement="bottom">
        <div class="table-responsive">
          <table id="RequiredSkillsTable" class="table" cellspacing="0" style="width: 100%">
            <thead>
              <tr>
                <th class="col-sm-3" style="font-weight: bolder;">Required Skill</th>
                <th style="text-align:center;font-weight: bolder" class="col-sm-2">Career Level</th>
                <th style="text-align:center;font-weight: bolder" align="center" class="col-sm-2">Required Number</th>
                <th style="text-align:center;font-weight: bolder" align="center" class="col-sm-2">Start date</th>
                <th style="text-align:center;font-weight: bolder" align="center" class="col-sm-2">End Date</th>
                <th style="text-align:center"  align="center" class="text-right"></th>
              </tr>
            </thead>
            <tbody *ngIf="requiredSkillsList != undefined && requiredSkillsList.length > 0">
                <tr *ngFor="let rs of pagedItems">
                  <td>{{rs.skill.Description}}</td>
                  <td align="center">{{rs.experienceLevel.Description}}</td>
                  <td align="center">{{rs.requiredNumber}}</td>
                  <td align="center">{{dateTimeService.getShortFormat(rs.startDate)}}</td>
                  <td align="center">{{dateTimeService.getShortFormat(rs.endDate)}}</td>
                  <td><i class="icofont icofont-ui-delete icon-pointer" style="color:#d84315" (click)="!disableEdit && removeRequiredSkill(rs.requiredSkillId)"></i></td>
                </tr>
            </tbody>
          </table>
            <ul *ngIf="pager.pages && pager.pages.length" class="pagination" style="float:right">
              <li [ngClass]="{disabled:pager.currentPage === 1}">
                <a (click)="setPage(1)">First</a>
              </li>
              <li [ngClass]="{disabled:pager.currentPage === 1}">
                <a (click)="setPage(pager.currentPage - 1)">Previous</a>
              </li>
              <li *ngFor="let page of pager.pages" [ngClass]="{active:pager.currentPage === page}">
                <a (click)="setPage(page)">{{page}}</a>
              </li>
              <li [ngClass]="{disabled:pager.currentPage === pager.totalPages}">
                <a (click)="setPage(pager.currentPage + 1)">Next</a>
              </li>
              <li [ngClass]="{disabled:pager.currentPage === pager.totalPages}">
                <a (click)="setPage(pager.totalPages)">Last</a>
              </li>
            </ul>
        </div>
      </div>
    </div>
  </div>
</app-card>